Get Conversation
curl --request GET \
--url https://api.getoutbox.ai/conversations/{contact_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.getoutbox.ai/conversations/{contact_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.getoutbox.ai/conversations/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"tags": [
"<string>"
]
},
"messages": [
{
"type": "message",
"id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"platform": "<string>"
}
],
"pagination": {
"page": 123,
"total": 123,
"has_next": true,
"has_previous": true
}
}Conversation Endpoints
Get Conversation
Retrieve unified conversation history for a contact (messages, calls, tool calls, and interrupts)
GET
/
conversations
/
{contact_id}
Get Conversation
Authorizations
Company API Key
Headers
User's timezone for timestamp formatting (defaults to UTC)
Path Parameters
The ID of the contact
Query Parameters
Page number for pagination. Page size is 10 items.
⌘I

